tigase.jaxmpp.core.client

## Class Processor

- java.lang.Object
- - tigase.jaxmpp.core.client.Processor

-     public class Processor
      extends Object

  Class for process incoming stanza. This clas produces Runnable that can be started by Executor.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Processor.FeatureNotImplementedResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Processor(XmppModulesManager xmppModulesManages, Context context)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Element` | `createError(Element stanza, Throwable caught)`
    `XmppModulesManager` | `getXmppModulesManages()`
    `Runnable` | `process(Element receivedElement)` Produces `Runnable` that must be run to fully process received stanza.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Processor

          public Processor(XmppModulesManager xmppModulesManages,
                           Context context)

  - ### Method Detail

    - #### createError

          public static Element createError(Element stanza,
                                            Throwable caught)

    - #### getXmppModulesManages

          public XmppModulesManager getXmppModulesManages()

    - #### process

          public Runnable process(Element receivedElement)

      Produces `Runnable` that must be run to fully process received stanza.
      Parameters:
        `element` - received stanza
      Returns:
        Runnable

Copyright © 2006–2020 Tigase. All rights reserved.